#!/bin/sh

# Transmogrifies a running, plain PostmarketOS system into a Synit system

set -eu

SUDOPASS=${SUDOPASS:-user}

if [ $(id -u) -ne 0 ]
then
    echo ${SUDOPASS} | sudo -S "$0" "$@"
    exit $?
fi
echo

cp synit-apk-key.pub /etc/apk/keys/.
. /etc/deviceinfo
ls packages/$deviceinfo_arch/

sudo apk add -X `pwd`/packages \
     preserves-tools \
     squeak-cog-vm \
     syndicate-sh \
     synit-config \
     \
     docker

rm -f /etc/syndicate/squeak.pr
cp -p `pwd`/squeak.pr /etc/syndicate/squeak.pr
